diff --git internal/auth/messages.go internal/auth/messages.go
index 1ca6706..bdf8cb3 100644
--- internal/auth/messages.go
+++ internal/auth/messages.go
@@ -19,3 +19,13 @@ func BuildHasErrorMessage() spoe.ActionSetVar {
		Value: true,
	}
 }
+
+// SetAuthenticatedUsername build a message containing the authenticated username
+func SetAuthenticatedUsernameMessage(username string) spoe.ActionSetVar {
+	return spoe.ActionSetVar{
+		Name:  "auth_username",
+		Scope: spoe.VarScopeSession,
+		Value: username,
+	}
+}
+

